Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.sql
Class Select

    java.lang.Object
      org.hibernate.sql.Select

    public class Select

extends Object

A simple SQL `SELECT` statement

Author:
  Gavin King

Field Summary
`Dialect` | `dialect`

Constructor Summary
`Select(Dialect dialect)`

Method Summary
`LockMode` | `getLockMode()`
`Select` | `setComment(String comment)`
`Select` | `setFromClause(String fromClause)` Sets the fromClause.
`Select` | `setFromClause(String tableName, String alias)`
`Select` | `setGroupByClause(String groupByClause)`
`Select` | `setLockMode(LockMode lockMode)`
`Select` | `setOrderByClause(String orderByClause)`
`Select` | `setOuterJoins(String outerJoinsAfterFrom, String outerJoinsAfterWhere)`
`Select` | `setSelectClause(String selectClause)` Sets the selectClause.
`Select` | `setWhereClause(String whereClause)` Sets the whereClause.
`String` | `toStatementString()` Construct an SQL `SELECT` statement from the given clauses

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dialect

    public final Dialect dialect

Constructor Detail

### Select

    public Select(Dialect dialect)

Method Detail

### toStatementString

    public String toStatementString()

  Construct an SQL `SELECT` statement from the given clauses

### setFromClause

    public Select setFromClause(String fromClause)

  Sets the fromClause.

  Parameters:
    `fromClause` - The fromClause to set

### setFromClause

    public Select setFromClause(String tableName,
                                String alias)

### setOrderByClause

    public Select setOrderByClause(String orderByClause)

### setGroupByClause

    public Select setGroupByClause(String groupByClause)

### setOuterJoins

    public Select setOuterJoins(String outerJoinsAfterFrom,
                                String outerJoinsAfterWhere)

### setSelectClause

    public Select setSelectClause(String selectClause)

  Sets the selectClause.

  Parameters:
    `selectClause` - The selectClause to set

### setWhereClause

    public Select setWhereClause(String whereClause)

  Sets the whereClause.

  Parameters:
    `whereClause` - The whereClause to set

### setComment

    public Select setComment(String comment)

### getLockMode

    public LockMode getLockMode()

### setLockMode

    public Select setLockMode(LockMode lockMode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD